<!-- Mesostico -->
<table class="table-responsive table-sm" role="list">
  <thead></thead>
  <tbody>
    {% assign table_columns_count = site.data.mesostic.columns %}
    {% for keyword in site.data.mesostic.rows %}

      {% assign row_characters = site.data.mesostic.characters | where: "row", keyword %}

      <tr
        id="row-{{ keyword }}"
        {% if keyword != "" %}
        {% for punto_programma in site.programma %}
        {% assign keyword_filename = keyword | append: ".md" %}
        {% assign collection_item_filename = punto_programma.relative_path | split: "/" | last %}
        {% if collection_item_filename == keyword_filename %}
        data-href="{{ punto_programma.url }}"
        tabindex="0"
        role="link"
        aria-label="{{ keyword }}"
        {% endif %}
        {% endfor %}
        {% endif %}>
        {% for i in (0..table_columns_count) %}
          {% assign row_character_at_index = row_characters | where: "column", i | first %}
          {% if row_character_at_index %}
            <td
              {% assign character_attributes = row_character_at_index.attributes %}
              {% assign character_attributes_size = character_attributes | size %}
              {% if character_attributes_size > 0 and character_attributes.main == true %}
              class="d-flex justify-content-center main-letter text-uppercase"
              {% else %}
              class="normal-letter text-center"
              {% endif %}
              aria-hidden="true">
              {{ row_character_at_index.letter }}
            </td>
          {% else %}
            <td aria-hidden="true">&nbsp;</td>
          {% endif %}

        {% endfor %}
      </tr>
    {% endfor %}
  </tbody>
</table>
<script>
    // Get all the rows
    const rows = document.querySelectorAll('tr');
    
    // Loop through each row
    rows.forEach((row, i) => {

      row.addEventListener('click', () => { 
        const href = row.getAttribute('data-href');
        if(href){
          window.location.href = href;
        }
        });
        row.addEventListener('keypress', (e) => {
          if(e.key === 'Enter') {
            const href = row.getAttribute('data-href');
            if(href){
              window.location.href = href; 

            }
          }
        });
        if(window.matchMedia('(min-width: 992px)').matches) {
            row.addEventListener('mouseover', () => {
    
                const tds = row.querySelectorAll('td');
                tds.forEach(td => {
                    td.classList.add('hovered');
                    if (td.classList.contains('main-letter')) {
                        return
                    }
                    td.style.transform = 'scale(1.7)';
                });
            });
    
            row.addEventListener('mouseout', () => {
                const tds = row.querySelectorAll('td');
                tds.forEach(td => {
                    if(td.classList.contains('main-letter')) {
                        td.classList.remove('hovered');
                        return
                    }
                    td.style.transform = 'scale(1)';
                    td.classList.remove('hovered');
                });
            });
        }
    });
</script>